Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
argf Struct Reference

## Data Fields
VALUE | filename
VALUE | current_file
long | last_lineno
long | lineno
VALUE | argv
char * | inplace
struct rb_io_enc_t | encs
int8_t | init_p
int8_t | next_p
int8_t | binmode

## Detailed Description

Definition at line 152 of file io.c.

## Field Documentation

VALUE argf::argv

Definition at line 156 of file io.c.

Referenced by argf_init(), and argf_mark().

int8_t argf::binmode

Definition at line 159 of file io.c.

VALUE argf::current_file

Definition at line 153 of file io.c.

Referenced by argf_init(), and argf_mark().

struct rb_io_enc_t argf::encs

Definition at line 158 of file io.c.

Referenced by argf_mark().

VALUE argf::filename

Definition at line 153 of file io.c.

Referenced by argf_init(), and argf_mark().

int8_t argf::init_p

Definition at line 159 of file io.c.

char* argf::inplace

Definition at line 157 of file io.c.

Referenced by argf_free(), argf_initialize_copy(), and argf_memsize().

long argf::last_lineno

Definition at line 154 of file io.c.

long argf::lineno

Definition at line 155 of file io.c.

Referenced by argf_init().

int8_t argf::next_p

Definition at line 159 of file io.c.

The documentation for this struct was generated from the following file:

- io.c